Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Interface ContentBucket

All Known Subinterfaces:
  AdBucketService, RenderableContentBucket

    public interface ContentBucket

A ContentBucket is an interface which the PlaceholderService uses to obtain content for the PlaceholderTag.

Nested Class Summary
`static class` | `ContentBucket.PreviewInfo` Class that captures the information from the preview.

Method Summary
`String` | `getContent(String placeholderName, boolean mixGlobals, String userId, String servletBase, Request request, int height, int width)` Return the content for the specific placeholder and user.
`Collection` | `previewContent(String servletBase, String query, boolean renderContent)` Return a collection of PreviewInfo structures which match all of the content for the query.
`void` | `removeGlobalQueries(String placeholderName, boolean allQueries)` Remove queries from the add bucket.
`void` | `setGlobalQuery(String placeholderName, String query, int weight)` Set a global query for the placeholder.

Method Detail

### getContent

    String getContent(String placeholderName,
                      boolean mixGlobals,
                      String userId,
                      String servletBase,
                      Request request,
                      int height,
                      int width)
                      throws RemoteException,
                             ContentException

  Return the content for the specific placeholder and user.

  Parameters
    `placeholderName` - The name of the specific placeholder requesting the content
    `mixGlobals` - Flag indicating if globals should be mixed
    `userId` - The user name
    `servletBase` - the Web App root for the Click thru servlet
    `request` - the HTTP request
    `height` - A requested height for the content
    `width` - A requested width for the content
  Returns
    an X/HTML string representing the content.
  Throws
    `ContentException` - thrown when there was a failure to get the content
    `RemoteException`

### previewContent

    Collection previewContent(String servletBase,
                              String query,
                              boolean renderContent)
                              throws RemoteException,
                                     ContentException

  Return a collection of PreviewInfo structures which match all of the content for the query.

  Parameters
    `servletBase` - the Web App root for the Click thru servlet
    `query` - The content query to be previewed
    `renderContent` - true to include the rendering content in the preview, false to not.
  Returns
    a collection of all of the XHTML strings representing the content that would be matched by the content query.
  Throws
    `RemoteException`
    `ContentException`

### setGlobalQuery

    void setGlobalQuery(String placeholderName,
                        String query,
                        int weight)
                        throws RemoteException,
                               ContentException

  Set a global query for the placeholder. A placeholder may have more than one global query.

  Parameters
    `placeholderName` - the name of the placeholder setting the global query
    `query` - The query expression of the query.
    `weight` - the weight associated with the content
  Throws
    `RemoteException`
    `ContentException`

### removeGlobalQueries

    void removeGlobalQueries(String placeholderName,
                             boolean allQueries)
                             throws RemoteException,
                                    ContentException

  Remove queries from the add bucket. This will remove all or only global queries depending on the removeAll parameter.

  Parameters
    `placeholderName` - the name of the placeholder
    `removeAll` - if true remove all entries for the placeholder, otherwise simply remove the global entries.
  Throws
    `RemoteException`
    `ContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.